List versions for a metric
curl --request GET \
--url https://api.honeyhive.ai/v1/metrics/{metric_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.honeyhive.ai/v1/metrics/{metric_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.honeyhive.ai/v1/metrics/{metric_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"name": "<string>",
"full_sha": "<string>",
"message": "<string>",
"date": "2023-11-07T05:31:56Z",
"deployed": true,
"content": {
"name": "<string>",
"criteria": "<string>",
"description": "<string>",
"enabled_in_prod": true,
"needs_ground_truth": true,
"sampling_percentage": 50,
"filters": {
"filterArray": [
{
"field": "<string>",
"value": "<string>"
}
]
},
"model_provider": "<string>",
"model_name": "<string>",
"scale": 123,
"threshold": {
"min": 123,
"max": 123,
"pass_when": true,
"passing_categories": [
"<string>"
]
},
"categories": [
{
"category": "<string>",
"score": 123
}
],
"child_metrics": [
{
"name": "<string>",
"weight": 123,
"id": "<string>",
"scale": 123
}
]
}
}
]
}Metric Versions
List versions for a metric
Retrieve all snapshot versions of the metric’s definition, ordered oldest-first. Returns the full version history unpaginated.
GET
/
v1
/
metrics
/
{metric_id}
/
versions
List versions for a metric
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the metric whose versions are being listed
Was this page helpful?
⌘I

